/*
 * TRPCLongPubDataWrapper.h
 *
 *  Created on: Feb 5, 2024
 *      Author: yasmine
 */

#ifndef TRPCLONGPubDataWrapper_WRAPPER_HEADER_H
#define TRPCLONGPubDataWrapper_WRAPPER_HEADER_H

#include "pub/PubDataWrapper.h"
#include "dpc_trpc_long/executable.h"


template<typename EventType>
class TRPCLong2CAN_PubDataWrapper: public PubDataWrapper<EventType> {

private:
    SWC2CAN _TRPCLong2CAN;
public:
    void GetData(ara::com::SampleAllocateePtr<EventType> &data) override{
        data->signal = _TRPCLong2CAN.signal;
        data->value = _TRPCLong2CAN.value;
    }

    void SetData(SWC2CAN TRPCLongPubData)
	{
		_TRPCLong2CAN.signal = TRPCLongPubData.signal;
        _TRPCLong2CAN.value = TRPCLongPubData.value;
	}
};




#endif /* TRPCLONGPubDataWrapper_WRAPPER_HEADER_H */
